INITGROUPS(3)

NAME
initgroups - initialize supplementary group IDs

SYNOPSIS
initgroups(name, basegid)
char *name;
int basegid;

DESCRIPTION

initgroups() reads through the group file and sets up, using the setgroups call (see getgroups(2V)), the supplementary group IDs for the user specified in name. The basegid is automatically included in the supplementary group IDs. Typically this value is given as the group number from the password file.

FILES
/etc/group

SEE ALSO
getgroups(2V), getgrent(3V)

DIAGNOSTICS

initgroups() returns -1 if it was not invoked by the super-user.

BUGS

initgroups() uses the routines based on getgrent(3V). If the invoking program uses any of these routines, the group structure will be overwritten in the call to initgroups.